Summary:   KSambaPlugin - KControl Center module
Name:      ksambaplugin
Version:   0.5
Release:   4AX
Copyright: GPL
Url:       http://ksambakdeplugin.sourceforge.net/
Group:     Network/System
Source:    ksambaplugin-%{version}.tar.bz2
Patch0:    ksambaplugin-0.5-disable_unicode.patch
Patch1:    ksambaplugin-0.5-checkuid.patch
BuildRoot: /tmp/%{name}-%{version}-build


%description
KSambaPlugin is a KDE 3 plugin for configuring a SAMBA server.
It consists of two plugins, a KControl Center module for all SAMBA
options and a Konqueror properties dialog plugin
for quickly configuring the SAMBA share options of a directory.

It is meant to be a full SAMBA configuration tool (Since v0.3a). 

%prep

%setup -q
%patch0 -p1 -b .unicode
%patch1 -p1 -b .uid
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --enable-final --enable-shared --disable-static $LOCALFLAGS

%build
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT/usr/share/applnk/Settings/Network/kcmsambaconf.desktop \
   $RPM_BUILD_ROOT/usr/share/applnk/Settings/kcmsambaconf.desktop
rm -rf $RPM_BUILD_ROOT/usr/share/applnk/Settings/Network

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/lib/kde3/ksambakonqiplugin.la
/usr/lib/kde3/ksambakonqiplugin.so
/usr/lib/kde3/libkcm_kcmsambaconf.la
/usr/lib/kde3/libkcm_kcmsambaconf.so
/usr/share/applnk/Settings/kcmsambaconf.desktop
/usr/share/icons/hicolor/16x16/apps/kcmsambaconf.png
/usr/share/services/ksambakonqiplugin.desktop

%changelog
* Mon May 31 2004 Shiro Yamada <shiro@miraclelinux.com> 0.5-4AX
- checks for uid and only reflects smb.conf when uid is 0.

* Fri May 28 2004 Shiro Yamada <shiro@miraclelinux.com> 0.5-3AX
- changed the location of desktop menu again
- disabled the "Unicode" tab

* Tue May 25 2004 Shiro Yamada <shiro@miraclelinux.com> 0.5-2AX
- change the location of desktop menu

* Mon Apr  5 2004 Shiro Yamada <shiro@miraclelinux.com> 0.5-1AX
- First build for Asianux 1.0
